# Interface JacocoLimit

All Superinterfaces:
  `Serializable`

public interface JacocoLimit extends Serializable
Defines a Jacoco rule limit.

Since:
  3.4

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCounter()`
  The counter that applies to the limit as defined by org.jacoco.core.analysis.ICoverageNode.CounterEntity.
  `@Nullable BigDecimal`
  `getMaximum()`
  Gets the maximum expected value for limit.
  `@Nullable BigDecimal`
  `getMinimum()`
  Gets the minimum expected value for limit.
  `String`
  `getValue()`
  The value that applies to the limit as defined by org.jacoco.core.analysis.ICounter.CounterValue.
  `void`
  `setCounter(String counter)`
  Sets the counter that applies to the limit.
  `void`
  `setMaximum(@Nullable BigDecimal maximum)`
  Sets the maximum expected value for limit.
  `void`
  `setMinimum(@Nullable BigDecimal minimum)`
  Sets the minimum expected value for limit.
  `void`
  `setValue(String value)`
  Sets the value that applies to the limit.

- ## Method Details

  - ### getCounter

    @Input String getCounter()
    The counter that applies to the limit as defined by org.jacoco.core.analysis.ICoverageNode.CounterEntity. Valid values are INSTRUCTION, LINE, BRANCH, COMPLEXITY, METHOD and CLASS. Defaults to INSTRUCTION.
    Since:
      3.4

  - ### setCounter

    void setCounter(String counter)
    Sets the counter that applies to the limit.
    Parameters:
      `counter` - Counter
    Since:
      3.4

  - ### getValue

    @Input String getValue()
    The value that applies to the limit as defined by org.jacoco.core.analysis.ICounter.CounterValue. Valid values are TOTALCOUNT, MISSEDCOUNT, COVEREDCOUNT, MISSEDRATIO and COVEREDRATIO. Defaults to COVEREDRATIO.
    Since:
      3.4

  - ### setValue

    void setValue(String value)
    Sets the value that applies to the limit.
    Parameters:
      `value` - Value
    Since:
      3.4

  - ### getMinimum

    @Optional @Input @Nullable BigDecimal getMinimum()
    Gets the minimum expected value for limit. Default to null.
    Since:
      3.4

  - ### setMinimum

    void setMinimum(@Nullable BigDecimal minimum)
    Sets the minimum expected value for limit.
    Parameters:
      `minimum` - Minimum
    Since:
      3.4

  - ### getMaximum

    @Optional @Input @Nullable BigDecimal getMaximum()
    Gets the maximum expected value for limit. Default to null.
    Since:
      3.4

  - ### setMaximum

    void setMaximum(@Nullable BigDecimal maximum)
    Sets the maximum expected value for limit.
    Parameters:
      `maximum` - Maximum
    Since:
      3.4